Foreman - Bug #6714

Error message needs to be rephrased when we create media without passing name
07/22/2014 04:28 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee:

Category: Rails
Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1121945 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1121945
Description of problem:
when we create install media without name, Ul raised following error:

can't be blank and can't be blank or contain trailing white spaces.

| think this message needs to be rephrased.
Reason:

1. error message includes "can't be blank" twice. So one entry "can't be blank” is sufficient.
2. user can create media with trailing spaces so the "or contain trailing white spaces" is also not valid.

Version-Release number of selected component (if applicable):
sat6 GA snap1

How reproducible:
always

Steps to Reproduce:

1. create media without passing media name
2.

3.

Actual results:
Ul raised following error:

can't be blank and can't be blank or contain trailing white spaces

Expected results:
I think message needs to be rephrased to just: can't be blank

Additional info:
Processing by MediaController#create as */*
Parameters: {"utf8"=>"l", "search"=>"", "authenticity_token"=>"VX+UKFulggWyHwxAdhnLIrzFLAmMDgGh5gENjFuLnsso=",

"medium"=>{"name"=>"", "path"=>"http://mirror.fakeos.org/VUABdE/$major.$minor/os/$arch", "media_path"=>"", "config_path"=>

"image_path"=>"", "os_family"=>"", "location_ids"=>[""], "organization_ids"=>[""]}}
Failed to save: Name can't be blank, Name can't be blank or contain trailing white spaces.

Related issues:
Is duplicate of Foreman - Bug #6432: attributes missing :presence => true Closed 06/29/2014

History

#1 - 07/22/2014 04:29 AM - Dominic Cleal

- Category set to Rails

05/17/2024 1/2



https://bugzilla.redhat.com/show_bug.cgi?id=1121945

#2 - 01/27/2015 05:30 AM - Tomer Brisker

- Status changed from New to Closed
fixed already in #6432.

#3 - 01/27/2015 05:32 AM - Dominic Cleal

- Is duplicate of Bug #6432: attributes missing :presence => true added
